MLAPI API Reference

# NetworkPoolManager
SpawnPoolObject Method

[This is preliminary documentation and is subject to change.]

Spawns a object from the pool at a given position and rotation. Can only be called from server.

Namespace: MLAPI.NetworkingManagerComponents.Core
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public static GameObject SpawnPoolObject(
    	string poolName,
    	Vector3 position,
    	Quaternion rotation
    )

Request Example
View Source

#### Parameters

poolName
  Type: System
  String
  The name of the pool
position
  Type: Vector3
  The position to spawn the object at
rotation
  Type: Quaternion
  The rotation to spawn the object at

#### Return Value

Type: GameObject

[Missing <returns> documentation for "M:MLAPI.NetworkingManagerComponents.Core.NetworkPoolManager.SpawnPoolObject(System.String,UnityEngine.Vector3,UnityEngine.Quaternion)"]

See Also

#### Reference

NetworkPoolManager Class
MLAPI.NetworkingManagerComponents.Core Namespace